package ru.yandex.webmaster3.core.http.mirrors;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;

/**
 * @author tsyplyaev
 */
public class SwitchMirrorGenerationsResponse implements ActionResponse {
    private final ActionStatus status;

    public SwitchMirrorGenerationsResponse(@JsonProperty(value="status") ActionStatus status) {
        this.status = status;
    }

    @Override
    public ActionStatus getRequestStatus() {
        return status;
    }
}
